## bochs 2.4.2

=== debian/changelog ===
bochs (2.4.2-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #504740
    - Add Replaces/Conflicts for bochsbios-qemu (<< 2.3.6-2)
  * Drop debian/patches/12_no-ssp.patch as upstream has given -fno-stack
    -protector as an option to GCC32 in bios/Makefile.in.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 08 Jan 2010 17:44:59 +0530

bochs (2.4.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/patches/14_fix_gdbstubs_FTBFS.patch: New file.
  * Do no use obsolete --enable-vme configure option.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded quilt references in debian/README.source.
  * Use system libltdl shared library. (Closes: #560884)
  * Switch Build-Depends from libwxgtk2.6-dev to libwxgtk2.8-dev.
    Thanks to Ryan Niebur <ryan@debian.org>. (Closes: #561188)
  * Add ${misc:Depends} to every package Depends field.

 -- Guillem Jover <guillem@debian.org>  Mon, 28 Dec 2009 20:16:50 +0100

bochs (2.4.1-2) unstable; urgency=low

  * Remove unused “libreadline5-dev | libreadline-dev” from Build-Depends.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Use .so extensions instead of .la in the plugin loader so that we can
    stop shipping .la files.
    - debian/patches/12_use_so_plugins.patch: New file.
  * Rename conf_args to conf_arch_args in debian/rules.
  * Move -e from the shebang to a 'set -e' in debian/launcher.
  * Update config.guess and config.sub before running configure and remove
    them on clean to avoid shipping them on the diff.
  * Build-Depend on autotools-dev to guarantee updated config.* files.

 -- Guillem Jover <guillem@debian.org>  Mon, 14 Sep 2009 16:16:38 +0200

bochs (2.4.1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #397307)
    - debian/patches/12_no-ssp.patch: Build bios with -fno-stack-protector
      + Refresh patch
    - Add Replaces/Conflicts for bochsbios-qemu (<< 2.3.6-2)

 -- Bhavani Shankar <right2bhavi@gmail.com>  Thu, 09 Jul 2009 12:25:17 +0530

bochs (2.4.1-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/0013_fix-non-acpi-timer-interrupt-routing.patch: Remove.
    - debian/patches/11_docbook_section_name.patch: Fix another underscored
      link.
  * Add support for building the bochsbios architecture independent package
    also on any-amd64 systems, and add gcc-multilib for such systems to
    Build-Depends-Indep.
  * Now using Standards-Version 3.8.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jul 2009 08:19:37 +0200

bochs (2.3.7+20090416-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #370427), remaining changes:
    - debian/patches/12_no-ssp.patch: Build bios with -fno-stack-protector
    - Add Replaces/Conflicts for bochsbios-qemu (<< 2.3.6-2)

 -- David Futcher <bobbo@ubuntu.com>  Thu, 30 Apr 2009 07:46:11 +0100

bochs (2.3.7+20090416-1) unstable; urgency=low

  * New upstream snapshot.
    - debian/patches/00_base.patch: Refresh.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_qemu_bios.patch: Likewise.
    - debian/patches/04_man_table.patch: Likewise.
    - debian/patches/05_bios_delay_loop.patch: Likewise.
    - debian/patches/10_enable_iasl.patch: Likewise.
    - debian/patches/11_docbook_section_name.patch: New file.
    - debian/patches/11_ftbfs_3dnow.patch: Remove, fixed upstream.
  * Do no use obsolete --enable-icache configure option.
  * Fix a bashism in /etc/bochs-init/init.sh by explicitely specifing the
    variable REPLY for read. (Closes: #489543)
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Add QEMU patches for bochsbios. (Closes: #523305)
    - debian/patches/0006_qemu-bios-use-preprocessor-for-pci-link-routing.patch
    - debian/patches/0007_bios-add-26-pci-slots,-bringing-the-total-to-32.patch
    - debian/patches/0008_qemu-bios-provide-gpe-_l0x-methods.patch
    - debian/patches/0009_qemu-bios-pci-hotplug-support.patch
    - debian/patches/0011_read-additional-acpi-tables-from-a-vm.patch
    - debian/patches/0012-load-smbios-entries-and-files-from-qemu.patch
    - debian/patches/0013_fix-non-acpi-timer-interrupt-routing.patch
  * Remove comment from README.Debian about x86-64 support not being enabled.
  * Remove unused and obsolete plex86 patch.
    - debian/patches/plex86.disabled
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Add following configure options (to explicitly enable them):
    --enable-pcidev (only on Linux), --enable-acpi, --enable-usb-ohci,
    --enable-a20-pin, --enable-sse-extension, --enable-xsave, --enable-sep,
    --enable-popcnt, --enable-movbe.

 -- Guillem Jover <guillem@debian.org>  Sat, 18 Apr 2009 02:42:15 +0200

bochs (2.3.7-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - 12_no-ssp.patch (formerly 11_no-ssp.patch): 
      Build with -fno-stack-protector
    - Add Replaces/Conflicts for bochsbios-qemu (<< 2.3.6-2)

 -- David Futcher <bobbocanfly@gmail.com>  Mon, 30 Jun 2008 10:04:21 +0100

bochs (2.3.7-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_base.patch: Refresh.
    - debian/patches/01_build.patch: Likewise.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_qemu_bios.patch: Likewise.
    - debian/patches/04_man_table.patch: Likewise.
    - debian/patches/05_bios_delay_loop.patch: Likewise.
    - debian/patches/11_ftbfs_3dnow.patch: New file. Fix FTBFS.
    - debian/patches/99_upstream_bios_update.patch: Remove, in sync with
      upstream now.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Jun 2008 03:58:49 +0300


