=== debian/control ===
Source: bochs
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
Build-Depends: debhelper (>= 7),
 autotools-dev, autoconf, libltdl-dev, libz-dev, libncurses5-dev,
 libaa1-dev, libsvga1-dev [i386 amd64], libx11-dev, libxpm-dev, libice-dev,
 libsm-dev, libsdl1.2-dev, libwxgtk2.8-dev, libgtk2.0-dev,
 libasound2-dev [alpha amd64 arm armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390]
Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
 docbook-utils, gcc-multilib [any-amd64]
Homepage: http://bochs.sourceforge.net/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/bochs.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/bochs.git
Standards-Version: 3.8.3

Package: bochs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs-wx | bochs-gui,
 bochsbios (= ${source:Version}), vgabios (>= 0.5c-1)
Recommends: bximage | createdisk
Suggests: bochs-doc, debootstrap, grub-disk, gcc | c-compiler, libc-dev
Description: IA-32 PC emulator
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 Bochs is capable of running most operating systems inside the emulation
 including GNU, GNU/Linux, *BSD, FreeDOS, MSDOS and Windows 95/NT.

Package: bochs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Bochs upstream documentation
 This package contains the HTML documentation of the Bochs project.
 .
 The documentation is divided into three parts:
 .
  * User Guide
  * Development Guide
  * Documentation Guide

Package: bochsbios
Architecture: all
Depends: ${misc:Depends}
Replaces: bochs (<< 2.0), bochsbios-qemu (<< 2.3.6-2)
Conflicts: bochsbios-qemu (<< 2.3.6-2)
Description: BIOS for the Bochs emulator
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains the BIOS of the Bochs project.

Package: bochs-wx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Replaces: bochs (<< 2.0rel-1)
Provides: bochs-gui
Description: WxWindows plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains a WxWindows GUI plugin for Bochs.

Package: bochs-sdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Replaces: bochs (<< 2.0rel-1)
Provides: bochs-gui
Description: SDL plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains an SDL GUI plugin for Bochs.
 .
 Use Scroll-Lock key for full screen.

Package: bochs-term
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Replaces: bochs (<< 2.0rel-1), bochs-curses
Provides: bochs-gui
Description: Terminal (ncurses-based) plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains a Terminal (ncurses-based) GUI plugin for Bochs.

Package: bochs-x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Replaces: bochs (<< 2.0rel-1)
Provides: bochs-gui
Description: X11 plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains an X11 GUI plugin for Bochs.

Package: bochs-svga
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
Provides: bochs-gui
Description: SVGA plugin for Bochs
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 This package contains an SVGA GUI plugin for Bochs.
 .
 **VERY IMPORTANT WARNING**
 Running Bochs with this plugin will redirect all your keyboard input
 (including ALT+Fx) to the guest OS, blocking your terminal. An exception
 is the F12 key, which you can use to interrupt the emulation.

Package: bximage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Disk Image Creation Tool for Bochs
 This tool is part of the Bochs project. Its purpose is to generate
 disk images that are used to allocate the guest operating system in
 Bochs environment.

Package: sb16ctrl-bochs
Architecture: i386 hurd-i386 kfreebsd-i386 knetbsd-i386
Replaces: sb16ctrl
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: control utility for Bochs emulated SB16 card
 You can use this utility to perform some query operations on
 the Bochs emulated SB16 card. It needs to be installed in your
 Debian-based guest OS.
 .
 The sb16ctrl utility contained in this package can only be used
 from inside the Bochs emulator. DO NOT TRY IT ON REAL HARDWARE.
