## bochs 2.4.5

=== debian/changelog ===
bochs (2.4.5-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/patches/14_fix_gdbstubs_FTBFS.patch: Remove.
  * Do not use obsolete --enable-apic, --enable-cpu-level=6, --enable-x86-64,
    --enable-fpu, --enable-mmx, --enable-sse=4, --enable-sse-extension,
    --enable-xsave, --enable-sep, --enable-popcnt and --enable-movbe options.
  * Do not use incomplete --enable-3dnow option.
  * Improve tarball.sh to fix wrong permissions from upstream tarballs.
  * Improve cleanup to fix building twice in a row.
  * Use system ltdl.h. (Closes: #560884)
    - Remove all file dependencies on ltdl.h.
    - Run libtoolize and aclocal in configure target.
    - Add automake and libtool to Build-Depends.
    - Remove ltdl.c, ltdl.h, ltdlconf.h, ltmain.sh and aclocal.m4 on clean.
    - Remove references to ltdlconf.h.
    - Fix configure.in to use system AC_SYS_LARGEFILE instead of local one.
  * Fix binary-arch target to not require Build-Depends-Indep packages to
    be installed. (Closes: #562964)
    - Disable docbook support in configure so that it does not fail when
      we only want build-arch or binary-arch.
    - On build-indep build doc/docbook and pass DOCBOOK2HTML to it (because
      it's no longer set by configure).
    - On install-indep install doc/docbook, remove install target dependency,
      call dh_prep, and populate the debian/tmp directory.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Add a source lintian override for the architecture wildcard used in
    Build-Depends-Indep to allow cross-building the bios images.

 -- Guillem Jover <guillem@debian.org>  Tue, 08 Jun 2010 20:43:22 +0200
