=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: bochs
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends: debhelper (>= 7),
- autotools-dev, autoconf, libltdl-dev, libz-dev, libncurses5-dev,
- libaa1-dev, libsvga1-dev [i386 amd64], libx11-dev, libxpm-dev, libice-dev,
- libsm-dev, libsdl1.2-dev, libwxgtk2.8-dev, libgtk2.0-dev,
+ autotools-dev, autoconf, automake, libtool, libltdl-dev, libz-dev,
+ libncurses5-dev, libaa1-dev, libsvga1-dev [i386 amd64], libsdl1.2-dev,
+ libx11-dev, libxpm-dev, libice-dev, libsm-dev, libwxgtk2.8-dev, libgtk2.0-dev,
  libasound2-dev [alpha amd64 arm armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390]
 Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
  docbook-utils, gcc-multilib [any-amd64]
 Homepage: http://bochs.sourceforge.net/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/bochs.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/bochs.git
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: bochs
 Architecture: any
@@ -45,8 +44,7 @@
 Package: bochsbios
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: bochs (<< 2.0), bochsbios-qemu (<< 2.3.6-2)
-Conflicts: bochsbios-qemu (<< 2.3.6-2)
+Replaces: bochs (<< 2.0)
 Description: BIOS for the Bochs emulator
  Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
  runs on most popular platforms. It includes emulation of the Intel x86 CPU,
