=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright © 1997-1999 Joey Hess <joeyh@debian.org>
 # Copyright © 2002-2004 Robert Millan <rmh@debian.org>
-# Copyright © 2004-2009 Guillem Jover <guillem@debian.org>
+# Copyright © 2004-2010 Guillem Jover <guillem@debian.org>
 #
 
 tmpdir := $(CURDIR)/debian/tmp
@@ -63,13 +63,22 @@
 	rm -f bios/VGABIOS-*
 	rm -f misc/sb16/sb16ctrl
 	[ ! -f Makefile ] || $(MAKE) dist-clean
+	rm -f bxversion.rc
+	rm -f ltdl.* ltdlconf.*
+	rm -f ltmain.sh
+	rm -f aclocal.m4
 	rm -f config.sub config.guess
+	rm -f configure
 	
 	dh_clean
 
 configure: configure.in
 	dh_testdir
 	
+	libtoolize -c
+	# XXX: Make extra sure we link against the system shared library.
+	rm -rf libltdl
+	aclocal
 	autoconf
 
 config.status: configure
@@ -80,6 +89,9 @@
 	-test -r /usr/share/misc/config.guess && \
 	  cp -fu /usr/share/misc/config.guess config.guess
 	
+	# Note: We disable docbook support here as a cheap way to avoid
+	# building it in build-arch, and only in build-indep. This works
+	# because configure only disables entering the directory.
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure \
 	  $(conf_gnu_type) \
 	  --prefix=/usr \
@@ -88,6 +100,7 @@
 	  --with-term \
 	  --with-sdl \
 	  --with-wx \
+	  --disable-docbook \
 	  --enable-cdrom \
 	  --enable-vbe \
 	  --enable-acpi \
@@ -95,18 +108,9 @@
 	  --enable-usb \
 	  --enable-usb-ohci \
 	  --enable-a20-pin \
-	  --enable-apic \
 	  --enable-cpu-level=6 \
 	  --enable-x86-64 \
 	  --enable-fpu \
-	  --enable-mmx \
-	  --enable-3dnow \
-	  --enable-sse=4 \
-	  --enable-sse-extension \
-	  --enable-xsave \
-	  --enable-sep \
-	  --enable-popcnt \
-	  --enable-movbe \
 	  --enable-gdb-stub \
 	  --enable-disasm \
 	  --enable-idle-hack \
@@ -137,6 +141,9 @@
 	
 	# bochsbios
 	$(MAKE) -C bios
+	
+	# bochs-doc
+	$(MAKE) -C doc/docbook DOCBOOK2HTML=docbook2html
 
 install: build
 	dh_testdir
@@ -181,16 +188,21 @@
 	   $(tmpdir)/usr/bin/
 endif
 
-install-indep: build-indep install
+install-indep: build-indep
 	dh_testdir
 	dh_testroot
+	dh_prep
 	dh_installdirs -i
 	
 	# bochsbios
+	mkdir -p \
+	   $(tmpdir)/usr/share/bochs/
 	cp bios/BIOS* \
 	   $(tmpdir)/usr/share/bochs/
 	
 	# bochs-doc
+	$(MAKE) -C doc/docbook install DESTDIR=$(tmpdir)
+	
 	cp /usr/share/sgml/docbook/stylesheet/dsssl/modular/images/note.gif \
 	   $(tmpdir)/usr/share/doc/bochs/images/
