## bochs 2.4.6

=== plex86/kernel/freebsd/Makefile ===
# FreeBSD Kernel module makefile

SRCS=	../plex86.o
KMOD=	plex86

.include <bsd.kmod.mk>
