=== debian/changelog ===
bochs (2.4.6-6) unstable; urgency=low

  * Remove support for libsvga (which is scheduled for removal)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 03 Jun 2013 18:15:20 +0200

bochs (2.4.6-5) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Fix typo (targeted) in README.Debian, spotted by lintian.
  * Remove sb16ctrl.exe from upstream tarball in debian/tarball.sh.
  * Add missing backslash to escape $ on XPM_LIB variable:
    - debian/patches/link-only-needed-libs.patch
  * Enable support for RFB protocol as GUI frontend (works with VNC viewer).
  * Use dpkg-buildflags to set build flags (enables default hardening flags).
    Based on a patch by Moritz Muehlenhoff <jmm@debian.org>. (Closes: #653511)
  * Fix man page warnings due to unescaped ' at the beginning of line.
  * Reorganize patches:
    - Remove sequence numbers from non-imported patch filenames.
    - Rename non-imported patches to more descriptive names.
    - Split 00_base.patch into a local-config.patch and local-paths.patch.
  * Switch sb16ctrl-bochs to any-i386 instead of explicit arch list.
  * Clarify output on what's being done by debian/tarball.sh.
  * Build bochs-svga on all architectures where svgalib is now available;
    implies switching from i386 and amd64 to linux-any and kfreebsd-any.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Feb 2012 13:10:17 +0100

bochs (2.4.6-4) unstable; urgency=low

  * Do not install the ne2k plugin on systems were it's not supported.
  * Handler Linux 3.x kernels the same way as 2.6.x. (Closes: #647195)
  * Pack bochsrc.5 man page table to fix a man warning.
  * Remove now unneeded source lintian override on arch wildcards usage.
  * Do not unneedingly link the main bochs binary against gtk libraries,
    neither the wx plugin as it only needs the gdk include path.
  * Do not unneedingly link the x plugin against libSM and libICE.

 -- Guillem Jover <guillem@debian.org>  Mon, 31 Oct 2011 20:58:55 +0100

bochs (2.4.6-3) unstable; urgency=low

  * Detect which of jade or openjade is installed at configure time, and
    use the one found. (Closes: #633971)

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Jul 2011 07:59:50 +0200

bochs (2.4.6-2) unstable; urgency=low

  * Set SHELL variables in Makefile.in to @SHELL@ instead of hardcoding
    them to /bin/sh, which confuses libtool as it might get configured
    for bash. (Closes: #625183)
  * Discard .eh_frame sections from the PC BIOS linker scripts, as they
    cause a build problem due to an overlap with the .data section.
  * Use jade instead of docbook2html, and thus switch Build-Depends-Indep
    from docbook-utils to docbook-dsssl.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 04 May 2011 05:29:04 +0200

bochs (2.4.6-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/11_docbook_section_name.patch: Remove, merged upstream.
    - debian/patches/12_use_so_plugins.patch: Likewise.
  * Install new hdimage and soundmod plugins.
  * Use linux-any instead of explicit list of architectures for libasound2-dev
    in Build-Depends.
  * Update tarball.sh to use the new svn repository instead of cvs.
  * Update debian/copyright with all copyright holders and years.
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Suggest grub-rescue-pc instead of dummy transitional grub-disk package.
    (Closes: #607208)

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 04:08:32 +0100
