=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: bochs
 Section: misc
 Priority: extra
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7),
  autotools-dev, autoconf, automake, libtool, libltdl-dev, libz-dev,
- libncurses5-dev, libaa1-dev, libsvga1-dev [i386 amd64], libsdl1.2-dev,
+ libncurses5-dev, libaa1-dev, libsdl1.2-dev,
  libx11-dev, libxpm-dev, libice-dev, libsm-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libasound2-dev [alpha amd64 arm armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390]
+ libasound2-dev [linux-any]
 Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
- docbook-utils, gcc-multilib [any-amd64]
+ docbook-dsssl, gcc-multilib [any-amd64]
 Homepage: http://bochs.sourceforge.net/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/bochs.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/bochs.git
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: bochs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bochs-wx | bochs-gui,
  bochsbios (= ${source:Version}), vgabios (>= 0.5c-1)
 Recommends: bximage | createdisk
-Suggests: bochs-doc, debootstrap, grub-disk, gcc | c-compiler, libc-dev
+Suggests: bochs-doc, debootstrap, grub-rescue-pc, gcc | c-compiler, libc-dev
 Description: IA-32 PC emulator
  Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
  runs on most popular platforms. It includes emulation of the Intel x86 CPU,
@@ -102,22 +102,6 @@
  .
  This package contains an X11 GUI plugin for Bochs.
 
-Package: bochs-svga
-Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
-Provides: bochs-gui
-Description: SVGA plugin for Bochs
- Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
- runs on most popular platforms. It includes emulation of the Intel x86 CPU,
- common I/O devices, and a custom BIOS.
- .
- This package contains an SVGA GUI plugin for Bochs.
- .
- **VERY IMPORTANT WARNING**
- Running Bochs with this plugin will redirect all your keyboard input
- (including ALT+Fx) to the guest OS, blocking your terminal. An exception
- is the F12 key, which you can use to interrupt the emulation.
-
 Package: bximage
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -127,7 +111,7 @@
  Bochs environment.
 
 Package: sb16ctrl-bochs
-Architecture: i386 hurd-i386 kfreebsd-i386 knetbsd-i386
+Architecture: any-i386
 Replaces: sb16ctrl
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: control utility for Bochs emulated SB16 card
