=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright © 1997-1999 Joey Hess <joeyh@debian.org>
 # Copyright © 2002-2004 Robert Millan <rmh@debian.org>
-# Copyright © 2004-2010 Guillem Jover <guillem@debian.org>
+# Copyright © 2004-2012 Guillem Jover <guillem@debian.org>
 #
 
 tmpdir := $(CURDIR)/debian/tmp
@@ -19,33 +19,24 @@
   conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CFLAGS = -Wall -g
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
+WFLAGS = -Wall
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS = $(WFLAGS) $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS = $(WFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 sb16 := dummy
 cdrom := cdrom
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   kernel := linux
-  conf_arch_args += \
-    --enable-pcidev \
-    --enable-ne2000 \
-    --enable-pnic
+  conf_arch_args += --enable-pcidev
   eth := eth0
   sb16 := linux
   com := ttyS0
-ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),i386 amd64))
-  conf_arch_args += --with-svga
-endif
 endif
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
   kernel := fbsd
-  conf_arch_args += --enable-ne2000 --enable-pnic
   eth := xl0
   sb16 := freebsd
   com := cuua0
@@ -53,6 +44,11 @@
 endif
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
   com := com0
+endif
+
+ifneq (,$(strip $(eth)))
+  conf_arch_args += --enable-ne2000 --enable-pnic
+  bochs_add_files += usr/lib/bochs/plugins/libbx_ne2k.so*
 endif
 
 clean:
@@ -92,11 +88,16 @@
 	# Note: We disable docbook support here as a cheap way to avoid
 	# building it in build-arch, and only in build-indep. This works
 	# because configure only disables entering the directory.
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure \
+	CPPFLAGS="$(CPPFLAGS)" \
+	CFLAGS="$(CFLAGS)" \
+	CXXFLAGS="$(CXXFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
+	./configure \
 	  $(conf_gnu_type) \
 	  --prefix=/usr \
 	  --mandir=\$${prefix}/share/man \
 	  --with-x11 \
+	  --with-rfb \
 	  --with-term \
 	  --with-sdl \
 	  --with-wx \
@@ -143,7 +144,7 @@
 	$(MAKE) -C bios
 	
 	# bochs-doc
-	$(MAKE) -C doc/docbook DOCBOOK2HTML=docbook2html
+	$(MAKE) -C doc/docbook USE_JADE=1
 
 install: build
 	dh_testdir
@@ -226,7 +227,8 @@
 	dh_testdir -s
 	dh_testroot -s
 	dh_install -s -Nbochs --sourcedir=$(tmpdir)
-	dh_install -pbochs --sourcedir=$(tmpdir) # bochs should be last
+	# bochs should be last
+	dh_install -pbochs --sourcedir=$(tmpdir) $(bochs_add_files)
 	dh_installdocs -s
 	dh_installexamples -s
 	dh_installmenu -s
@@ -246,4 +248,3 @@
 
 .PHONY: build build-arch build-indep clean install install-indep
 .PHONY: binary-indep binary-arch binary
-
