## bochs 2.5.1

=== debian/changelog ===
bochs (2.5.1-1) experimental; urgency=low

  !! This release gets random app freezes when using the wxWidgets GUI. !!

  * Orphan package, set maintainer to Debian QA Group.
  * New upstream release.
    - Refresh patches.
  * Do not use obsolete --enable-acpi and --enable-vbe options.
  * Use --enable-ne2000 and --enable-pnic on all systems, as now a dummy
    backend is used automatically as a system fallback.
  * Do not manually specify a backend to --enable-sb16, configure selects
    the correct one automatically.
  * Add following configure options: --enable-avx, --enable-vmx=2,
    --enable-es1370 and --enable-clgd54xx.
  * Switch from gdb-stub to the internal GUI debugger, as the former is
    unmaintained upstream. It might need disabling prior to an upload to
    unstable though, as the debugging screen appearing on start is a bit
    annoying, if one does not want to debug anything. Or alternatively
    making the debugging screen not appear on start. (Closes: #499567)
  * Bump bochs versioned Depends on vgabios to >= 0.7a-1.
  * Fix man page warnings due to unescaped ' at the beginning of line,
    and table lines using more than 80 characters.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Feb 2012 13:33:35 +0100
