=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 7), flex, bison,
  autotools-dev, autoconf, automake, libtool, libltdl-dev, libz-dev,
  libncurses5-dev, libaa1-dev, libsdl1.2-dev,
  libx11-dev, libxpm-dev, libice-dev, libsm-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libasound2-dev [linux-any]
+ libsvga1-dev [linux-any kfreebsd-any], libasound2-dev [linux-any]
 Build-Depends-Indep: iasl, bcc (>= 0.16.3-2), bin86 (>= 0.16.3-2),
  docbook-dsssl, gcc-multilib [any-amd64]
 Homepage: http://bochs.sourceforge.net/
@@ -17,7 +17,7 @@
 Package: bochs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bochs-wx | bochs-gui,
- bochsbios (= ${source:Version}), vgabios (>= 0.5c-1)
+ bochsbios (= ${source:Version}), vgabios (>= 0.7a-1)
 Recommends: bximage | createdisk
 Suggests: bochs-doc, debootstrap, grub-rescue-pc, gcc | c-compiler, libc-dev
 Description: IA-32 PC emulator
@@ -102,6 +102,22 @@
  .
  This package contains an X11 GUI plugin for Bochs.
 
+Package: bochs-svga
+Architecture: linux-any kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, bochs (= ${binary:Version})
+Provides: bochs-gui
+Description: SVGA plugin for Bochs
+ Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
+ runs on most popular platforms. It includes emulation of the Intel x86 CPU,
+ common I/O devices, and a custom BIOS.
+ .
+ This package contains an SVGA GUI plugin for Bochs.
+ .
+ **VERY IMPORTANT WARNING**
+ Running Bochs with this plugin will redirect all your keyboard input
+ (including ALT+Fx) to the guest OS, blocking your terminal. An exception
+ is the F12 key, which you can use to interrupt the emulation.
+
 Package: bximage
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
