=== debian/rules ===
--- 
+++ 
@@ -25,30 +25,25 @@
 CXXFLAGS = $(WFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
-sb16 := dummy
 cdrom := cdrom
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   kernel := linux
   conf_arch_args += --enable-pcidev
+  conf_arch_args += --with-svga
   eth := eth0
-  sb16 := linux
   com := ttyS0
 endif
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
   kernel := fbsd
+  conf_arch_args += --with-svga
   eth := xl0
-  sb16 := freebsd
   com := cuua0
   cdrom := acd0
 endif
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
+  eth := eth0
   com := com0
-endif
-
-ifneq (,$(strip $(eth)))
-  conf_arch_args += --enable-ne2000 --enable-pnic
-  bochs_add_files += usr/lib/bochs/plugins/libbx_ne2k.so*
 endif
 
 clean:
@@ -103,23 +98,28 @@
 	  --with-wx \
 	  --disable-docbook \
 	  --enable-cdrom \
-	  --enable-vbe \
-	  --enable-acpi \
 	  --enable-pci \
 	  --enable-usb \
 	  --enable-usb-ohci \
 	  --enable-a20-pin \
 	  --enable-cpu-level=6 \
 	  --enable-x86-64 \
+	  --enable-avx \
+	  --enable-vmx=2 \
 	  --enable-fpu \
-	  --enable-gdb-stub \
+	  --enable-debugger \
+	  --enable-debugger-gui \
 	  --enable-disasm \
 	  --enable-idle-hack \
 	  --enable-all-optimizations \
 	  --enable-repeat-speedups \
 	  --enable-plugins \
 	  --enable-compressed-hd \
-	  --enable-sb16=$(sb16) \
+	  --enable-clgd54xx \
+	  --enable-sb16 \
+	  --enable-es1370 \
+	  --enable-ne2000 \
+	  --enable-pnic \
 	  $(conf_arch_args)
 
 build: build-arch
@@ -226,9 +226,7 @@
 binary-arch: install
 	dh_testdir -s
 	dh_testroot -s
-	dh_install -s -Nbochs --sourcedir=$(tmpdir)
-	# bochs should be last
-	dh_install -pbochs --sourcedir=$(tmpdir) $(bochs_add_files)
+	dh_install -s --sourcedir=$(tmpdir)
 	dh_installdocs -s
 	dh_installexamples -s
 	dh_installmenu -s
