## bochs 2.6

=== debian/changelog ===
bochs (2.6-6) unstable; urgency=medium

  * QA upload.
  * Migrate to Salsa.
  * Update watch file (thanks to Florian Tobias Schandinat). Closes:
    #814487.
  * Handle change in iasl’s output. Closes: #902454. See #899318 for
    details.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Jul 2018 13:52:19 +0200

bochs (2.6-5) unstable; urgency=medium

  * QA upload.
  * Apply patch from Chris Lamb to build under recent versions of Linux.
    Closes: #802188.

 -- Santiago Vila <sanvila@debian.org>  Mon, 19 Oct 2015 00:05:38 +0200

bochs (2.6-4) unstable; urgency=medium

  * QA upload.
  * Set the "BIOS build date" to be the latest upstream release date.

 -- Santiago Vila <sanvila@debian.org>  Sat, 05 Sep 2015 20:23:00 +0200

bochs (2.6-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add -n option to gzip call.
  * debian/control: Change section to otherosfs, following override file.
  * Add debian/patches/do-not-show-the-build-date.patch to make the build
    reproducible.

 -- Santiago Vila <sanvila@debian.org>  Fri, 04 Sep 2015 21:00:50 +0200

bochs (2.6-2) unstable; urgency=low

  * QA upload.
  * Drop support for libsvga1, as it's no longer packaged.  (Closes: #731021)
  * Update to use wxWidgets 3.0.

 -- Olly Betts <olly@survex.com>  Fri, 30 May 2014 14:03:57 +1200

bochs (2.6-1) experimental; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes random wxWidgets GUI freezes.
    - Refresh patches.
    - debian/patches/bios-discard-eh_frame.patch: Remove, merged upstream.
    - debian/patches/build-fix-SHELL.patch: Likewise.
    - debian/patches/build-fix-libtool-calls.patch: Likewise.
    - debian/patches/build-link-only-needed-libs.patch: Likewise.
    - debian/patches/build-on-linux-3.x.patch: Likewise.
    - debian/patches/build-recursive-make.patch: Likewise.
  * Now using Standards-Version 3.9.4 (no changes needed).
  * Honour standard build flags, so that hardening gets properly enabled.
    Based on a patch by Simon Ruderich <simon@ruderich.org>.
    (Closes: #653511)

 -- Guillem Jover <guillem@debian.org>  Mon, 04 Feb 2013 21:07:00 +0100
