=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://sf.net/bochs/bochs-([\d.]*)\.tar\.gz debian uupdate
